Bug 991753 - Review Request: mph-2b-damase-fonts - Free font encoding many non-Latin scripts
Review Request: mph-2b-damase-fonts - Free font encoding many non-Latin scripts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 05:39 EDT by Parag Nemade
Modified: 2014-09-30 13:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: mph-2b-damase-fonts-002.000-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-08-04 05:39:21 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/mph-2b-damase-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/mph-2b-damase-fonts-002.000-1.fc19.src.rpm
Description: 
Mark Williamson's MPH 2B Damase is a free font encoding many non-Latin scripts.

Fedora Account System Username: pnemade
Comment 1 Christopher Meng 2013-08-04 21:40:31 EDT
OH?

Is it OK to leave the %prep blank?

Are you sure it's licensed under PD?
Comment 2 Parag Nemade 2013-08-04 23:41:29 EDT
yes its OK to leave %prep blank. It depends on how the source archive is? zip, tar extracting either with %{name}-%{version} or %{name} or just without creating any directory.

AFAICS, In font info its written "Public Domain 2005". also some of the references that said its Public Domain are
1) http://www.ffonts.net/MPH-2B-Damase.font
2) http://www.fontspace.com/mark-williamson/mph-2b-damase
3) http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=306290 ( I have not read this whole bugzilla) <- you can see the font Author was available there.
Comment 3 Christopher Meng 2013-08-05 00:00:14 EDT
OK.

Since no %doc available, you can drop it in SCM.

APPROVED.
Comment 4 Parag Nemade 2013-08-05 00:29:40 EDT
Thanks for the quick review.
Comment 5 Parag Nemade 2013-08-05 00:29:52 EDT
New Package SCM Request
=======================
Package Name: mph-2b-damase-fonts
Short Description: Free font encoding many non-Latin scripts
Owners: pnemade
Branches: f19 f18
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 08:26:36 EDT
Git done (by process-git-requests).
Comment 7 Parag Nemade 2013-08-06 00:29:48 EDT
Package Change Request
======================
Package Name: mph-2b-damase-fonts
InitialCC: fonts-sig i18n-team
Comment 8 Fedora Update System 2013-08-06 03:40:52 EDT
mph-2b-damase-fonts-002.000-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mph-2b-damase-fonts-002.000-2.fc18
Comment 9 Fedora Update System 2013-08-06 03:41:40 EDT
mph-2b-damase-fonts-002.000-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mph-2b-damase-fonts-002.000-2.fc19
Comment 10 Gwyn Ciesla 2013-08-06 09:36:04 EDT
Misformatted request.
Comment 11 Parag Nemade 2013-08-06 12:47:03 EDT
May I know what is misformatted? Its clearly written "The Package Name field is mandatory. Please only include other fields which need to be changed or updated." on http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 12 Gwyn Ciesla 2013-08-06 13:07:36 EDT
I misunderstood the request.  This has been done, though there is no i18n-team virtual user.
Comment 13 Fedora Update System 2013-08-06 19:34:02 EDT
mph-2b-damase-fonts-002.000-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Parag Nemade 2013-08-06 22:59:45 EDT
As long as my eyes are not seeing above request as wrong, I see i18n-team is a valid virtual user.
See http://fedoraproject.org/wiki/Package_SCM_admin_requests#Pseudo-users_for_SIGs

also, I don't understand howcome SCM request got completed without an error for https://bugzilla.redhat.com/show_bug.cgi?id=991724#c4

See these messages that I got
limb approved watchbugzilla on trabajo-fonts (Fedora devel) for fonts-sig
limb approved watchcommits on trabajo-fonts (Fedora devel) for fonts-sig
limb approved watchbugzilla on trabajo-fonts (Fedora devel) for i18n-team
limb approved watchcommits on trabajo-fonts (Fedora devel) for i18n-team
Comment 15 Gwyn Ciesla 2013-08-07 08:32:19 EDT
Odd, now it worked.  Sorry for the confusion.
Comment 16 Fedora Update System 2013-08-14 22:35:30 EDT
mph-2b-damase-fonts-002.000-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-08-14 22:37:31 EDT
mph-2b-damase-fonts-002.000-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Pravin Satpute 2013-10-03 05:48:33 EDT
This package description is not very clear.

From description it looks like font encoding rather than fonts itself.

Proper description or short description may be..


"Mark Williamson's MPH 2B Damase is a free font for many non-Latin scripts encoding."

Please fix it.
Comment 19 Parag Nemade 2014-08-16 09:26:46 EDT
Package Change Request
======================
Package Name: mph-2b-damase-fonts
New Branches: el5 el6 epel7
Owners: pnemade
Comment 20 Kevin Fenzi 2014-08-18 10:48:37 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2014-08-19 12:57:30 EDT
mph-2b-damase-fonts-002.000-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mph-2b-damase-fonts-002.000-3.el6
Comment 22 Fedora Update System 2014-08-19 12:57:34 EDT
mph-2b-damase-fonts-002.000-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mph-2b-damase-fonts-002.000-3.el5
Comment 23 Fedora Update System 2014-09-03 01:29:56 EDT
mph-2b-damase-fonts-002.000-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mph-2b-damase-fonts-002.000-3.el7
Comment 24 Fedora Update System 2014-09-09 13:31:26 EDT
mph-2b-damase-fonts-002.000-3.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 25 Fedora Update System 2014-09-09 13:31:55 EDT
mph-2b-damase-fonts-002.000-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 26 Fedora Update System 2014-09-30 13:39:36 EDT
mph-2b-damase-fonts-002.000-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.